# List client's accounts

Returns every investment account linked to clientId, including identifiers, type, status, balances, positions, linked bank accounts, currency, and timestamps. Use this to display or manage the client's full account set.

Endpoint: GET /v2/partner/client/{clientId}/account
Version: 2.0.0
Security: oAuth

## Query parameters:

  - `start` (string)
    The sortedId to start from. Use for pagination.
    Example: "01ARZ3NDEKTSV4RRFFQ69G5FAV"

  - `limit` (number)
    Limit results. Default is none
    Example: 100

  - `modifiedFrom` (string)
    The modifiedDate to start from. Use for reconciliation.
    Example: "2024-01-01T00:00:01.000Z"

  - `ssn` (string)
    The social security number of account owner

## Path parameters:

  - `clientId` (string, required)
    The ID of requested client.
    Example: "49ad7378-121c-4a53-9894-dfd14a7b4877"

## Response 200 fields (application/json):

  - `id` (string)

  - `sortedId` (string)
    ULID (Universally Unique Lexicographically Sortable Identifier)

  - `ref` (string)
    ref is a unique account number, based on
epoch, length and Luhn. OCR length digit compliant.
    Example: "160367146695159"

  - `name` (string, required)
    Name of account
    Example: "Spar"

  - `accountType` (string, required)
    - isk — ISK, investeringssparkonto
- depot — Depot, fonddepå
- insurance — Endowment insurance, kapitalförsäkring. Requires the user to sign separately with the insurance provider.
    Enum: "isk", "depot", "insurance"

  - `status` (string)
    - pending — Account created, waiting for approval
- active — Account is open and operational
- rejected — Account application was rejected
- confirm — Account is awaiting confirmation from the end customer
- closing — Account is being closed; new orders, payments and withdrawals are not accepted
    Enum: "pending", "active", "rejected", "confirm", "closing"

  - `serviceType` (string, required)
    - portfolioManagement — Portfolio management
- investmentAdvise — Investment advice
- executionOnly — Execution only
    Enum: "portfolioManagement", "investmentAdvise", "executionOnly"

  - `owner` (any) — one of (discriminator: ownerType):
    - natural_person:
      - `ownerType` (string, required)
        Enum: "natural_person"
      - `firstName` (string, required)
        First name of account holder
        Example: "Ben"
      - `lastName` (string, required)
        Last name of account holder
        Example: "Rangel"
      - `fullName` (string, required)
        Full name of account holder
        Example: "Ben Rangel"
      - `ssn` (string, required)
        Social security number of account holder
    - legal_entity:
      - `ownerType` (string, required)
        Enum: "legal_entity"
      - `name` (string, required)
        Legal name of entity
        Example: "Acme Corp AB"
      - `crn` (string, required)
        Company registration number. 10-digits
      - `type` (string)
        Type of legal entity
        Example: "aktiebolag"
      - `registrationCountry` (string,null)
        Country of registration (ISO 3166-1 alpha-2)
        Example: "SE"
      - `countriesOfTaxation` (array,null)
        Countries where the entity is tax resident
        Example: ["SE"]
      - `address` (object,null)
        Registered address
      - `address.streetAddress` (string)
      - `address.zipCode` (string)
      - `address.city` (string)
      - `address.country` (string)
      - `contactPerson` (object,null)
        Primary contact person for the entity
      - `contactPerson.name` (string)
      - `contactPerson.phone` (string)
      - `contactPerson.email` (string)
      - `signatoryGroups` (array)
        Signatory group combinations for the legal entity
      - `signatoryGroups.name` (string)
        Name of signatory
      - `signatoryGroups.ssn` (string)
        Social security number of signatory
      - `signatoryGroups.email` (string,null)
        Email of signatory

  - `balance` (number)
    Snapshot of cash amount on account
    Example: 100

  - `amounts` (object)
    Amounts on account

  - `amounts.deposited` (number)
    Amount deposited to account
    Example: 123.45

  - `amounts.withdrawn` (number)
    Amount withdrawn from account
    Example: 123.45

  - `positions` (array)
    List of positions held

  - `positions.instrument` (string)
    Instrument identifier

  - `positions.units` (number)
    Number of units, including unsettled.

  - `positions.unitsSettled` (number)
    Number of units settled

  - `positions.value` (number,null)
    The total value of the position (units * closePrice)

  - `positions.closePrice` (number,null)
    Last published NAV (closing price) for the fund

  - `positions.gav` (number)
    Average acquisition value (Genomsnittligt Anskaffningsvärde)

  - `category` (string)
    MiFID II investor classification.

- pro — Professional investor (MiFID II)
- retail — Retail investor, protected by consumer protection regulations (MiFID II)
    Enum: "pro", "retail"

  - `deleted` (boolean, required)
    Is account deleted?

  - `clientId` (string, required)
    The ID of the client managing this account

  - `bankAccounts` (array)

  - `bankAccounts.id` (string)

  - `bankAccounts.iban` (string, required)
    IBAN (ISO 13616, International Bank Account Number)
    Example: "SE7280000810340009783242"

  - `bankAccounts.bban` (string)
    Local bank account number
    Example: "666 666 666"

  - `bankAccounts.bank` (string, required)
    Bank name
    Example: "Buy n' Large"

  - `bankAccounts.name` (string,null, required)
    Name of account
    Example: "Lönekonto"

  - `bankAccounts.createdDate` (string)
    Date when acocunt was created
    Example: "2018-12-13T23:59:00.001Z"

  - `bankAccounts.modifiedDate` (string)
    Date when last modified
    Example: "2018-12-13T23:59:00.001Z"

  - `bankAccounts.deletedDate` (string)
    Date when and if deleted
    Example: "2018-12-13T23:59:00.001Z"

  - `bankAccounts.validated` (boolean)
    Whether the bank account is validated by account check service.
Required for withdrawals
    Example: true

  - `bankAccounts.mandateStatus` (string)
    Status of the autogiro mandate for this account
    Enum: "missing", "invalid", "pending", "active"

  - `currency` (string, required)
    Three letter ISO currency code
    Example: "SEK"

  - `createdDate` (string)
    Date when acocunt was created
    Example: "2018-12-13T23:59:00.001Z"

  - `modifiedDate` (string)
    Date when last modified
    Example: "2018-12-13T23:59:00.001Z"

  - `deletedDate` (string)
    Date when flagged as deleted
    Example: "2018-12-13T23:59:00.001Z"

## Response 400 fields (application/json):

  - `error` (string, required)
    Error code
    Enum: "invalid_request"

  - `error_description` (string)
    Description of error

## Response 401 fields (application/json):

  - `error` (string, required)
    Error code
    Enum: "unauthorized"

  - `error_description` (string)
    Description of error

## Response 403 fields (application/json):

  - `error` (string, required)
    Error code
    Enum: "forbidden"

  - `error_description` (string)
    Description of error

## Response 500 fields (application/json):

  - `error` (string, required)
    Error code
    Enum: "server_error"

  - `error_description` (string)
    Description of error

## Response 503 fields (application/json):

  - `error` (string, required)
    Error code
    Enum: "service_unavailable"

  - `error_description` (string)
    Description of error


